Crawlzodocs
API referenceTikTok

TikTok ad detail

The full record for one ad from the Top Ads library.

POST
/v1/scrapers/tiktok-ad-detail-v4

Authorization

ApiKeyAuth
X-API-Key<token>

Your API key. Sent on every request.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/scrapers/tiktok-ad-detail-v4" \  -H "Content-Type: application/json" \  -d '{    "material_id": "7667849995747770388"  }'
{  "request_id": "req_8f2c1d94e7b0",  "success": true,  "status": {    "code": "OK",    "message": "Scrape completed.",    "retryable": false  },  "data": {    "ad_title": "[Asia’s 50 Best Bars 2026: Another Toast to Hong Kong’s Bar Scene👏] Whether you’re discovering new openings or revisiting old favourites, Hong Kong’s bar scene never disappoints🍸. And this year, it has even more reasons to celebrate, with multiple local bars making their mark on the Asia’s 50 Best Bars 2026 list🎉!  Lea… (+783 chars)",    "brand_name": "",    "comment": 58,    "cost": 2,    "country_code": [      "MY",      "ID",      "… 7 more items in the full response"    ],    "creative_center_url": "https://ads.tiktok.com/business/creativecenter/ads/detail/7667849995747770388",    "ctr": 0.42,    "detail_analysis": null,    "favorite": false,    "has_summary": false,    "highlight_text": "",    "id": "7667849995747770388",    "industry_key": "label_23133000000",    "interactive_time_analysis": null,    "is_search": false,    "keyword_list": null,    "landing_page": "https://www.discoverhongkong.com/eng/food-and-drink.html?utm_campaign=HO_ALWAYSON&utm_source=TIKTOK_SH_VN&utm_medium=SOCIAL&utm_content=ASIAS-50BB_EN&utm_id=__CAMPAIGN_ID__",    "like": 18090,    "objective_key": "campaign_objective_reach",    "objectives": [      {        "label": "campaign_objective_reach",        "value": 5      }    ],    "pattern_label": [],    "recommended_for_you": null,    "share": 77,    "source": "Others",    "source_key": 73,    "video_info": {      "cover": "https://p16-common-sign.tiktokcdn.com/tos-alisg-p-0037/o0NAvAiG4RBDI0wNW2WIi1oAf0uEB1ICyDI9hi~tplv-noop.image?dr=18692&refresh_token=31cee6f2&x-expires=1787508173&x-signature=9SpkNo16ajl2082N3wZUP5YeScw%3D&t=9276707c&ps=14f1eb3e&shp=9e36835a&shcp=317596d8&idc=my2&VideoID=v1c044g50000d9kcmuvog65kr88cgdng",      "duration": 35.293,      "height": 1024,      "vid": "v1c044g50000d9kcmuvog65kr88cgdng",      "video_url": {        "720p": "https://v16m-default.tiktokcdn.com/18a7798344742056f04edb0996db6295/6a8b35cd/video/tos/alisg/tos-alisg-pve-0037c001/oEj8TLCj4GUm0MIbLALEAekgge23aoDI8fRTZA/?a=0&bti=NTU4QDM1NGA%3D&&bt=656&ft=cApXJCz7ThWHjUh1LGZmo0P&mime_type=video_mp4&rc=NjNpZDw6aWg8aTg8PDtpNUBpamdmO245cnhmPDMzODczNEBiMzFgNDZfXy4xLS9iXjQxYSNrZDVvMmRzamh… (+76 chars)"      },      "width": 576    },    "voice_over": false  },  "error": null,  "meta": {    "client_id": "client_abc123",    "scraper": "tiktok-ad-detail-v4",    "billable": true,    "duration_ms": 661  }}